import json

class Config:
    # ck数据库连接
    CK_CONFIG = {'host': '119.29.176.224',
                 'send_receive_timeout': 30}

    # 每个游戏不一样 游戏上报 kafka 主题
    SUBSCRIBE_TOPIC = 'test2'

    KAFKA_CONSUMER_CONF = {
        'bootstrap_servers': ["192.168.0.30:9092", "192.168.0.71:9092", "192.168.0.229:9092"],
        'value_deserializer': json.loads,
        'auto_offset_reset': 'earliest',

        # 每个游戏不一样
        'group_id': 'legu_group3'
    }
    # 游戏数据库名
    GAME = 'shjy'

    REDIS_CONF = {
        'host': '192.168.0.161',
        'port': 6379,
        'password': 'd1Gh*zp5',
        'db': 1,  # 存表结构
        'decode_responses': True
    }


class Debug(Config):
    pass


settings = Debug
